Subject: f:format.date does not respect locale.
Description

The fluid date helper does not respect the locale date format set by e.g. setlocale.
This issue is causef by the fact that the viewhelper makes use of PHP's DateTime object internally which isn't capable of locale time
formats. Currently only "strftime" seems respect locales.

Related issues:
duplicated by TYPO3.Fluid - Story # 5583: DateFormat View Helper doesn't resp... Closed 2009-11-30

History
#1 - 2009-10-19 15:37 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)

#2 - 2009-10-27 11:14 - Karsten Dambekalns

Then use return strftime($format, $date->getTimestamp()); - but the format string must be different then, sigh.

And why the heck is there no locale-aware date formatting on DateTime? Grr.

#3 - 2009-10-27 12:50 - Nikolas Hagelstein

Karsten Dambekalns wrote:

Then use return strftime($format, $date->getTimestamp()); - but the format string must be different then, sigh.

And why the heck is there no locale-aware date formatting on DateTime? Grr.

That is what i asked myself aswell when i came accross this issue :|

#4 - 2009-11-06 15:03 - Karsten Dambekalns

Karsten Dambekalns wrote:

And why the heck is there no locale-aware date formatting on DateTime? Grr.

Probably because http://devzone.zend.com/article/4799-Internationalization-in-PHP-5.3#Date_formatter is the way to go now...
#5 - 2011-05-06 10:19 - Sebastian Kurfuerst
- Status changed from New to Closed

closed, as it's a PHP missing feature so far.
